<%@ Control Language="C#" Inherits="EPiServer.Business.Commerce.Payment.Klarna.KlarnaPartPayment.PaymentMethod" Codebehind="PaymentMethod.ascx.cs" %>
<link rel="stylesheet" href ='<%= ResolveUrl("~/Templates/Sample/Units/CartCheckout/KlarnaPartPayment/ClientResources/KlarnaPartPayment.css") %>' type="text/css"/>
<div id="KlarnaPartPaymentContainer">
<div id="logoandconditions">
    <ul>
		<li class="klarnaPartPaymentLogo">
		    <a href="http://www.klarna.se" target="_blank"><img id="klarnaPartPaymentLogo" src='' alt="Klarna Part Payment" /></a>
		</li>
		<li>
			<div class="klarnaPartPaymentTerms">
			    <a href="#" id="klarna_partpayment" onclick="ShowKlarnaPartPaymentPopup();return false;"></a>
			</div>
		</li>
	</ul>
</div>
<div id="klarnaErrorContainer" runat="server" class="klarnaPartPaymentErrorContainer">
    <ul class="klarnaPartPaymentError">
        <li class="klarnaPartPaymentErrorMessage">
             <p id="klarnaError" runat="server"></p>
        </li>
    </ul>
</div>
<div>
    <ul>
		<li class="klarnaPartPaymentLabels">
		    <label for=""> <asp:Literal ID="PartPaymentList" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.partpayment%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <select class="partPaymentDropDownList">
				</select>
			</div>
		</li>
	</ul>
</div>
<div class="SocialNumberContainer">
	<ul>
		<li class="klarnaPartPaymentLabels">
		    <label for=""> <asp:Literal ID="SocialSecurityNo" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.socialsecurityno%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="PersonalNumberText" runat="server" CssClass="enoInputFirstName enoInputText required"></asp:TextBox>
			</div>
		</li>
	</ul>
</div>
<div class="AddressForGermany">
    <ul>
		<li class="klarnaPartPaymentChecklable">
		    <label for=""> <asp:Literal ID="Gender" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.gender%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="margin-form">
			    <asp:RadioButton Checked="true" runat="server" ID="GermanyGenderMale" GroupName="GermanyGender"/><asp:Literal ID="Male"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.male%>" runat="server"></asp:Literal>
			    <asp:RadioButton Checked="false" runat="server" ID="GermanyGenderFemale" GroupName="GermanyGender"/><asp:Literal ID="Female"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.female%>" runat="server"></asp:Literal>
			</div>
		</li>
	</ul>
    <ul>
		<li class="klarnaPartPaymentLabels">
		    <label for=""> <asp:Literal ID="Birthdate" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.birthdate%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="GermanyBirthDateText" runat="server" CssClass="enoInputFirstName enoInputText required"></asp:TextBox>
			</div>
		</li>
	</ul>
	<ul>
		<li class="klarnaPartPaymentLabels">
			<label for=""><asp:Literal ID="HouseNumber" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.housenumber%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="GermanyHouseNumberText" runat="server" CssClass="enoInputFirstName enoInputText required"></asp:TextBox>
			</div>
		</li>
	</ul>
</div>
<div class="AddressForNetherlands">
    <ul>
		<li class="klarnaPartPaymentChecklable">
			<label for=""><asp:Literal ID="NldGender" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.gender%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="margin-form">
			    <asp:RadioButton Checked="true" runat="server" ID="NetherlandsGenderMale" GroupName="NetherlandsGender"/><asp:Literal ID="NldMale"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.male%>" runat="server"></asp:Literal>
			    <asp:RadioButton Checked="false" runat="server" ID="NetherlandsGenderFemale" GroupName="NetherlandsGender" /><asp:Literal ID="NldFemale"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.female%>" runat="server"></asp:Literal>
			</div>
		</li>
	</ul>
    <ul>
		<li class="klarnaPartPaymentLabels">
			<label for=""> <asp:Literal ID="NldBirthdate" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.birthdate%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="NetherlandsBirthDateText" runat="server" CssClass="enoInputFirstName enoInputText required"></asp:TextBox>
			</div>
		</li>
	</ul>
	<ul>
		<li class="klarnaPartPaymentLabels">
			<label for=""><asp:Literal ID="NldHoudeNumber" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.housenumber%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="NetherlandsHouseNumberText" runat="server" CssClass="enoInputFirstName enoInputText required"></asp:TextBox>
			</div>
		</li>
	</ul>
	<ul>
		<li class="klarnaPartPaymentLabels" >
			<label for=""><asp:Literal ID="NldHouseExt" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.houseextension%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="NetherlandsHouseExtensionText" runat="server" CssClass="enoInputFirstName enoInputText"></asp:TextBox>
			</div>
		</li>
	</ul>
</div>
<div class="AddressForAustria">
    <ul>
		<li class="klarnaPartPaymentChecklable">
			<label for=""><asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.gender%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="margin-form">
			    <asp:RadioButton Checked="true" runat="server" ID="AustriaGenderMale" GroupName="AustriaGender"/><asp:Literal ID="Literal2"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.male%>" runat="server"></asp:Literal>
			    <asp:RadioButton Checked="false" runat="server" ID="AustriaGenderFemale" GroupName="AustriaGender" /><asp:Literal ID="Literal3"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.female%>" runat="server"></asp:Literal>
			</div>
		</li>
	</ul>
    <ul>
		<li class="klarnaPartPaymentLabels">
			<label for=""> <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.birthdate%>" /></label>
		</li>
		<li class="klarnaPartPaymentInputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="AustriaBirthDateText" runat="server" CssClass="enoInputFirstName enoInputText required"></asp:TextBox>
			</div>
		</li>
	</ul>
</div>
<div id="SelectAddressContainer" runat="server" class="klarnaSelectAddressContainer">
    <p class="klarnaMessage"><asp:Literal ID="ChooseAddressMsg" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.chooseaddressmessage%>" /></p>
    <asp:RadioButtonList ID="SelectAddressRadioList" runat="server">
    </asp:RadioButtonList>
</div>
<asp:HiddenField ID="UpdatedPclassIdValue" runat="server" />
</div>

<script type="text/javascript">
    jQuery(document).ready(function () {
        function UpdateKlarnaUI($bodyElement) {
            // Clear part payment dropdown list content
            var pclassDropDown = jQuery($bodyElement).find('.partPaymentDropDownList');
            pclassDropDown.html('');

            // Update klarna logo and input fields base on contry code of billing address
            var dataToSend = { antiForgery: true };
            jQuery.ajax("<%= ServicePath %>" + "GetPartPaymentOptions", {
                data: dataToSend,
                type: "POST",
            }).done(function (msg) {
                if (msg && msg.CountryCode) {
                    countryCode = msg.CountryCode.toUpperCase();
                    var logoImage = "<%= LogoUrlPrefix %>" + countryCode + ".png";

                    jQuery($bodyElement).find('#klarnaPartPaymentLogo').attr('src', logoImage);

                    // hide all input containers
                    jQuery($bodyElement).find('.SocialNumberContainer').hide();
                    jQuery($bodyElement).find('.AddressForGermany').hide();
                    jQuery($bodyElement).find('.AddressForNetherlands').hide();
                    jQuery($bodyElement).find('.AddressForAustria').hide();
                    jQuery($bodyElement).find('.SelectAddressContainer').hide();

                    if (countryCode == "DEU") {
                        jQuery($bodyElement).find('.AddressForGermany').show();
                    } else if (countryCode == "NLD") {
                        jQuery($bodyElement).find('.AddressForNetherlands').show();
                    } else if (countryCode == "AUT") {
                        jQuery($bodyElement).find('.AddressForAustria').show();
                    } else {
                        jQuery($bodyElement).find('.SocialNumberContainer').show();
                    }
                }
                if (msg && msg.IsSuccess) {
                    // bind data to Part payment dropdown list

                    jQuery.each(msg.Items, function (index, value) {
                        pclassDropDown.append($("<option></option>").html(value.Value).attr("value", value.Id));
                    });

                    // select part payment base on pclass hidden field
                    var pclassHidden = jQuery($bodyElement).find('#<%= UpdatedPclassIdValue.ClientID %>');
                    if (pclassHidden.val() != null && pclassHidden.val() != '') {
                        pclassDropDown.val(pclassHidden.val());
                    }
                    else if (pclassHidden.val() == null || pclassHidden.val() == '') {
                        pclassHidden.val(pclassDropDown.val());
                    }

                    pclassDropDown.change(function () {
                        pclassHidden.val($(this).val());
                    });
                }
            }).fail(function (xhr, data, err) {

            });
        }

        var $iframeBody = jQuery(window.document.body);
        UpdateKlarnaUI($iframeBody);

        // Register function to window.parent.UpdatePaymentUIFunctions so whenerver UI need updated the parent can invoke this update function
        if (!window.parent.UpdatePaymentUIFunctions) {
            window.parent.UpdatePaymentUIFunctions = {};
        }

        window.parent.UpdatePaymentUIFunctions["UpdateKlarnaPartPayment"] = function () {
            UpdateKlarnaUI($iframeBody);

            // always hide the selectAddressContainer and errorContainer when just activated payment step
            $iframeBody.find('.klarnaSelectAddressContainer').hide();
            $iframeBody.find('.klarnaPartPaymentErrorContainer').hide();

            // empty all input textbox
            $iframeBody.find('input[type=text]').val('');
        };
    });
</script>